package extensions.com.squareup.javapoet.ClassName;

import com.squareup.javapoet.ClassName;
import manifold.ext.rt.api.Extension;
import manifold.ext.rt.api.This;

import java.util.List;

@Extension
public class ClassNameExt {
    public static String getSimpleName(@This ClassName thiz) {
        return thiz.simpleName();
    }

    public static String getPackageName(@This ClassName thiz) {
        return thiz.packageName();
    }

    public static List<String> getSimpleNames(@This ClassName thiz) {
        return thiz.simpleNames();
    }
}
